##
##  mapson.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2017 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         mapson
Summary:      The mapSoN Spam Filter
URL:          http://mapson.sourceforge.net/
Vendor:       Peter Simons
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Mail
License:      GPL
Version:      3.3.1
Release:      20170522

#   list of sources
Source0:      http://download.sourceforge.net/mapson/mapson-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, getopt, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101, MTA

%description
    mapSoN is a simple but effective Spam filter for Unix, that is
    installed via the system's .forward mechanism. It prevents UCE by
    verifying the sender through a requested reply.

%track
    prog mapson = {
        version   = %{version}
        url       = http://sourceforge.net/projects/mapson/files/
        regex     = mapson-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-lgetopt" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --datadir=%{l_prefix}/share/mapson \
        --sysconfdir=%{l_prefix}/etc/mapson \
        --with-mta=%{l_prefix}/sbin/sendmail
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/mapson/*-sample
    rm -f $RPM_BUILD_ROOT%{l_prefix}/share/mapson/*-sample
    rm -f $RPM_BUILD_ROOT%{l_prefix}/include/*
    rm -f $RPM_BUILD_ROOT%{l_prefix}/lib/*
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

